using UnityEngine;

public class MazeDebugInput_Manager : MonoBehaviour
{
    private bool ui_Left = false;
    private bool ui_Right = false;
    private bool ui_Up = false;
    private bool ui_Down = false;

    private bool ui_Back = false;

    public bool[] readManager()
    {
        bool[] result = new bool[5];
        result[0] = ui_Left;
        result[1] = ui_Right;
        result[2] = ui_Up;
        result[3] = ui_Down;
        result[4] = ui_Back;
        return result;
    }

    public void actionUILeft()
    {
        ui_Left = true;
    }
    public void actionUILeftRelease()
    {
        ui_Left = false;
    }

    public void actionUIRight()
    {
        ui_Right = true;
    }
    public void actionUIRightRelease()
    {
        ui_Right = false;
    }

    public void actionUIUp()
    {
        ui_Up = true;
    }
    public void actionUIUpRelease()
    {
        ui_Up = false;
    }
    public void actionUIDown()
    {
        ui_Down = true;
    }
    public void actionUIDownRelease()
    {
        ui_Down = false;
    }

    public void actionUIBack()
    {
        ui_Back = true;
    }
    public void actionUIBackRelease()
    {
        ui_Back = false;
    }

    public void actionBackToMainMenu()
    {
        GameObject masterManager = GameObject.FindGameObjectsWithTag("MasterManager")[0];
        masterManager.GetComponent<Scene_Manager>().loadMainMenu();
    }
}
